salesforce.cdp.hyperdb.v1

## Interface TextPositionOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  TextPosition, TextPosition.Builder

    public interface TextPositionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getErrorBeginCharacterOffset()` `uint64 error_begin_character_offset = 2;`
`long` `getErrorEndCharacterOffset()` `uint64 error_end_character_offset = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getErrorBeginCharacterOffset

    long getErrorBeginCharacterOffset()

`uint64 error_begin_character_offset = 2;`

Returns:
  The errorBeginCharacterOffset.

#### getErrorEndCharacterOffset

    long getErrorEndCharacterOffset()

`uint64 error_end_character_offset = 3;`

Returns:
  The errorEndCharacterOffset.